> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiassets notes



## OpenAPI

````yaml /api-reference/openapi.yaml post /api/assets/{id}/notes/
openapi: 3.0.3
info:
  title: Console API
  version: 1.0.0
  description: Central control plane API for the Dataerai platform.
servers:
  - url: https://{server}
    description: Your Dataerai deployment (the API is served under /api)
    variables:
      server:
        default: your-deployment.dataerai.com
        description: Host of your Dataerai deployment
security: []
paths:
  /api/assets/{id}/notes/:
    post:
      tags:
        - api
      operationId: asset_notes_create
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NoteWrite'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/NoteWrite'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/NoteWrite'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Note'
          description: ''
      security:
        - cookieAuthCsrfExempt: []
components:
  schemas:
    NoteWrite:
      type: object
      properties:
        content:
          type: string
        parent_id:
          type: string
          format: uuid
          nullable: true
      required:
        - content
    Note:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        author:
          allOf:
            - $ref: '#/components/schemas/NoteAuthor'
          readOnly: true
        content:
          type: string
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        replies:
          type: array
          items:
            $ref: '#/components/schemas/Reply'
          readOnly: true
      required:
        - author
        - content
        - created_at
        - id
        - replies
    NoteAuthor:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
      required:
        - email
        - id
        - name
    Reply:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        author:
          allOf:
            - $ref: '#/components/schemas/NoteAuthor'
          readOnly: true
        content:
          type: string
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - author
        - content
        - created_at
        - id

````